﻿using System.Drawing;

using DevExpress.LookAndFeel;
using DevExpress.Skins;
using DevExpress.Utils;
using DevExpress.Utils.Drawing;
using DevExpress.Utils.Svg;

namespace TestProject
{
    /// <summary>
    /// 이미지 헬퍼
    /// </summary>
    public static class ImageHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 이미지 생성하기 - CreateImage(imageByteArray, skinProvider)

        /// <summary>
        /// 이미지 생성하기
        /// </summary>
        /// <param name="imageByteArray">이미지 바이트 배열</param>
        /// <param name="skinProvider">스킨 제공자</param>
        /// <returns>이미지</returns>
        public static Image CreateImage(byte[] imageByteArray, ISkinProvider skinProvider = null)
        {
            SvgBitmap svgBitmap = new SvgBitmap(imageByteArray);

            return svgBitmap.Render
            (
                SvgPaletteHelper.GetSvgPalette(skinProvider ?? UserLookAndFeel.Default, ObjectState.Normal),
                ScaleUtils.GetScaleFactor().Height
            );
        }

        #endregion
    }
}